
Foreman - Bug #13962

katello upgrade error: foreman-rake db:seed returned 1 instead of one

02/29/2016 06:07 PM - Sameer Syed

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I've seen this error more than once when I upgrade katello/foreman. I notice this when I upgraded from Katello 2.1 to 2.3 and from

2.3 to 2.4:

/Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: Failed to call r

efresh: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]

 /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: /usr/sbin/forem

an-rake db:seed returned 1 instead of one of [0]

 Even though everything seems to be working even after throwing these errors. Attaching the katello-installer.log

History

#1 - 03/01/2016 03:00 AM - Dominic Cleal

- Status changed from New to Need more information

Please run the command foreman-rake db:seed --trace and attach the full output.

#2 - 03/01/2016 05:44 PM - Sameer Syed

Dominic Cleal wrote:

Please run the command foreman-rake db:seed --trace and attach the full output.

 Here it is:

foreman-rake db:seed --trace

Invoke db:seed (first_time)

Execute db:seed

Invoke db:abort_if_pending_migrations (first_time)

Invoke environment (first_time)

Execute environment

Invoke db:load_config (first_time)

Execute db:load_config

Execute db:abort_if_pending_migrations

Seeding /usr/share/foreman/db/seeds.d/03-auth_sources.rb

Seeding /usr/share/foreman/db/seeds.d/03-permissions.rb

Seeding /usr/share/foreman/db/seeds.d/03-roles.rb

Seeding /usr/share/foreman/db/seeds.d/04-admin.rb

Seeding /usr/share/foreman/db/seeds.d/05-taxonomies.rb

Seeding /usr/share/foreman/db/seeds.d/06-architectures.rb

Seeding /usr/share/foreman/db/seeds.d/07-provisioning_templates.rb

Seeding /usr/share/foreman/db/seeds.d/08-partition_tables.rb

Seeding /usr/share/foreman/db/seeds.d/10-installation_media.rb

Seeding /usr/share/foreman/db/seeds.d/11-smart_proxy_features.rb

Seeding /usr/share/foreman/db/seeds.d/13-compute_profiles.rb

Seeding /usr/share/foreman/db/seeds.d/15-bookmarks.rb

Seeding /usr/share/foreman/db/seeds.d/16-mail_notifications.rb
Seeding /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.7.11/db/seeds.d/20-foreman_tasks_permissions.rb

Seeding /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_bootdisk-6.1.0/db/seeds.d/50-bootdisk_templates.rb

Seeding /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_discovery-4.1.2/db/seeds.d/50_discovery_templates.rb

Seeding /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.7.11/db/seeds.d/60-dynflow_proxy_feature.rb

Seeding /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_discovery-4.1.2/db/seeds.d/60_discovery_proxy_feature.rb

Seeding /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.7.11/db/seeds.d/61-foreman_tasks_bookmarks.rb

Seeding /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_openscap-0.4.3/db/seeds.d/openscap_feature.rb

Seeding /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_openscap-0.4.3/db/seeds.d/openscap_scap_default.rb

All seed files executed

#3 - 03/02/2016 03:23 AM - Dominic Cleal

- Status changed from Need more information to Resolved

No error is present in the output, I guess it went away.  If you can reproduce it failing then I can reopen the ticket.

Files

katello-installer.log 1.28 MB 02/29/2016 Sameer Syed
